# Class TableRow

#### Hierarchy

- XmlComponent
  - TableRow

- Defined in file/table/table-row/table-row.ts:9

#####
Index

### Constructors

constructor

### Accessors

CellCount
cells

### Methods

addCellToColumnIndex
addCellToIndex
addChildElement
columnIndexToRootIndex
prepForXml
rootIndexToColumnIndex

## Constructors

### constructor

- new TableRow(options): TableRow

- #### Parameters

  - ##### options: ITableRowOptions

  #### Returns TableRow

  Overrides XmlComponent.constructor

  - Defined in file/table/table-row/table-row.ts:10

## Accessors

### CellCount

- get CellCount(): number

- #### Returns number

  - Defined in file/table/table-row/table-row.ts:19

### cells

- get cells(): readonly TableCell []

- #### Returns readonly TableCell []

  - Defined in file/table/table-row/table-row.ts:23

## Methods

### addCellToColumnIndex

- addCellToColumnIndex(cell, columnIndex): void

- #### Parameters

  - ##### cell: TableCell

  - ##### columnIndex: number

  #### Returns void

  - Defined in file/table/table-row/table-row.ts:32

### addCellToIndex

- addCellToIndex(cell, index): void

- #### Parameters

  - ##### cell: TableCell

  - ##### index: number

  #### Returns void

  - Defined in file/table/table-row/table-row.ts:27

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### columnIndexToRootIndex

- columnIndexToRootIndex(columnIndex, allowEndNewCell?): number

- #### Parameters

  - ##### columnIndex: number

  - ##### allowEndNewCell: boolean = false

  #### Returns number

  - Defined in file/table/table-row/table-row.ts:51

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

### rootIndexToColumnIndex

- rootIndexToColumnIndex(rootIndex): number

- #### Parameters

  - ##### rootIndex: number

  #### Returns number

  - Defined in file/table/table-row/table-row.ts:37

Generated using TypeDoc